[P036]Technology Indicators

get
https://connect.patsnap.com/patent-valuation-data/technology_indicators
Try in Sandbox

Receive patent technology valuation score data by patent_id or patent_number. This includes cited-by count, self citation count, examiner citation categories, claim count, independent claim count, PDF page count, IPC classification count, IPC section count, and IPC main group count.

1.The API supports batch requests with a maximum of 100 patents, and more patent id or patent number are separated with English comma.Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
patent_id
stringc3efa1e6-a2c3-4502-b5e7-97fcf570cfd3
patent_id
patent_number
stringUS5012236A
patent_number

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
pn
stringUS11205304B2
patent number
patent_id
string718ead9c-4f3c-4674-8f5a-24e126827269
patent id
patsnap_technology_value
objectPlease check the form: TechnologyValue
technology indicators
has_sep
integer<int32>1
Whether there is a SEP patent in the simple family
award_no
integer<int32>2
Number of award in the simple family
claim_no
integer<int32>1
Count of claim
cited_by_no
integer<int32>33
Count of cited-by patents
ipc_scopes_no
integer<int32>3
Count of different IPC classification
self_cites_no
integer<int32>1
Count of self-citation patents
tech_scope_no
integer<int32>4
Technology Scope Count
pdf_total_page
integer<int32>17
Total pages of PDF
avg_sipo_ipc_tct
number<double>4121.829537
Technology Cycle Time
avg_generality_index
number<double>0.40625
Technology Generality Index
independent_claim_no
integer<int32>4
Count of independent claim
ipc_section_scopes_no
integer<int32>1
Count of different IPC section
ipc_main_group_scopes_no
integer<int32>1
Count of different IPC main group
examiner_citation_category
array[ "A", "Y" ]
Examiner citation categories
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "pn": "US11205304B2",
      "patent_id": "718ead9c-4f3c-4674-8f5a-24e126827269",
      "patsnap_technology_value": {
        "has_sep": 1,
        "award_no": 2,
        "claim_no": 1,
        "cited_by_no": 33,
        "ipc_scopes_no": 3,
        "self_cites_no": 1,
        "tech_scope_no": 4,
        "pdf_total_page": 17,
        "avg_sipo_ipc_tct": 4121.829537,
        "avg_generality_index": 0.40625,
        "independent_claim_no": 4,
        "ipc_section_scopes_no": 1,
        "ipc_main_group_scopes_no": 1,
        "examiner_citation_category": [
          "A",
          "Y"
        ]
      }
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!
67200007Exceeded the call limit, call failed!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms